Get Action Reasons
curl --request GET \
--url https://vanilla-dev02-loyalty.fabric.zone/api/v1/inquire/get_action_reasons \
--header 'Authorization: Bearer <token>'import requests
url = "https://vanilla-dev02-loyalty.fabric.zone/api/v1/inquire/get_action_reasons"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vanilla-dev02-loyalty.fabric.zone/api/v1/inquire/get_action_reasons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"message": "",
"errors": "",
"data": [
{
"id": 1001,
"code": "5726",
"reason": "Unmerge Accounts with consent of both members",
"action": "Unmerge Accounts",
"companyId": 15,
"codeDescription": ""
}
]
}{
"message": "Error message string",
"errors": {
"ExceptionString": [
"Invalid Field"
]
},
"data": null,
"status": 400
}{
"detail": "Authentication Failed"
}Inquire
Get Action Reasons
Gets reason codes and reason descriptions based on the actions defined for your business. This serves as a log for tracking and analysis. As an example, an action such as ‘points transfer’ has a specific code for it and a description such as ‘transferring to relative’ associated with it. In addition to the predefined actions, custom actions can be added.
GET
/
v1
/
inquire
/
get_action_reasons
Get Action Reasons
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?
⌘I
